Document templates & integrations

Send Document Template Test

Send Document Template Test. Requires company-wide document management and applicable subject access.

POSThttps://api.toku.com/hris/send-document-template-test

Not available to API keys yet. It will need documents:write.

curl --request POST \
  --url 'https://api.toku.com/hris/send-document-template-test' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "templateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "subjectId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "requestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "status": "SENT",
  "receiptId": "string",
  "destination": "string",
  "roles": [
    "recipient"
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

templateIdstring<uuid>required
subjectIdstring<uuid>required
requestIdstring<uuid>required

Response

200Successful response
statusstringrequired

Available options: SENT, PENDING_RECONCILIATION

receiptIdstringrequired
destinationstringrequired
rolesstring[]required
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits